jQuery(function() {
    // VALIDO LOCALIZADOR
    // Si es válido paso al paso siguiente
    jQuery("#ObtenerLocalizador").click(function() {
    
        var FormRegalarReserva   = jQuery("#FormRegalarReserva"),
            RegalarReservaAction = FormRegalarReserva.attr("action");
    
        FormRegalarReserva.removeAttr("action");

        var localizador = jQuery("#LocalizadorRegalar").val();
        // Validar localizador
        jQuery.ajax({
            type  : "POST",
            url   : "//" + location.host + "/wp-content/plugins/visitas/modules/visitas/mis_php_web/ajax/regalar/validar_localizador_modificacion.php",
            data  : {
                localizador: localizador
            },
            cache : false
        }).done(function(valido) {
            // Localizador válido, muestro siguiente paso
            if (valido == 1) {
                FormRegalarReserva.attr("action", RegalarReservaAction);
                FormRegalarReserva.submit();
            }
            // Localizador no válido, muestro mensaje de error
            else {
                div               = document.getElementById("ValidaLocalizadorRegalar");
                div.style.display = "";
                jQuery("#ValidaLocalizadorRegalar").html(js_traducciones["modificacion"]["introduzca_localizador_valido"]);
            }
        });
        return false;
    });
    
    // VUELVE AL PASO DE INTRODUCIR EL LOCALIZADOR
    jQuery("#VolverLocalizador").click(function() {
        var localizador = jQuery("#Localizador").val();
        jQuery.ajax({
            type  : "POST",
            url   : "//" + location.host + "/wp-content/plugins/visitas/modules/visitas/mis_php_web/modulos/regalar/modificacion.php",
            data  : {
                localizadorVolver: localizador
            },
            cache : false
        }).done(function(response) {
            div               = document.getElementById("IntroducirFechaRegalar");
            div.style.display = "none";
            div               = document.getElementById("IntroducirLocalizador");
            div.style.display = "";
        });
    });
});